Skip to main content

What is Insight?

Insight reports are written summaries of your operations, generated from your task and data records: findings, a summary and suggested actions. You set the context once per task type, then generate reports on demand or on a schedule.

Key Features

Read insight context

GET /ai-insight/context/

Update insight context

PUT /ai-insight/context/

Regenerate insight context

POST /ai-insight/context//regenerate

Generate insight report

POST /ai-insight/generate

Read insight reports

GET /ai-insight/results

Read insight report by ID

GET /ai-insight/results/

Delete insight report

DELETE /ai-insight/results/

Retry insight report

POST /ai-insight/results//retry